org.gnome.gtk

## Interface Orientable

- All Known Implementing Classes:
    Box, ButtonBox, CellView, ColorSelection, FileChooserButton, FileChooserWidget, FontSelection, Grid, HBox, HButtonBox, HPaned, HScale, HScrollbar, HSeparator, InfoBar, Paned, ProgressBar, Range, RecentChooserWidget, Scale, Scrollbar, Separator, Statusbar, Toolbar, VBox, VButtonBox, VPaned, VScale, VScrollbar, VSeparator

      public interface Orientable

  Widgets which allow you to make them horizontal or vertical.
  Since:
    4.1.1
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Orientation` | `getOrientation()` Get the orientation of this Orientable.
    `void` | `setOrientation(Orientation orientation)` Set the orientation of this Orientable.

- - ### Method Detail

    - #### getOrientation

          Orientation getOrientation()

      Get the orientation of this Orientable.
      Since:
        4.1.1

    - #### setOrientation

          void setOrientation(Orientation orientation)

      Set the orientation of this Orientable.
      Since:
        4.1.1